# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.572   -> 1.573  
#	 drivers/usb/audio.c	1.14    -> 1.15   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/03/28	david-b@pacbell.net	1.573
# USB audio driver
#   
# - Makes "audio" set the urb->interval in its periodic URBs,
#   so it can submit through the hcd framework. 
# --------------------------------------------
#
diff -Nru a/drivers/usb/audio.c b/drivers/usb/audio.c
--- a/drivers/usb/audio.c	Wed Apr  3 16:39:17 2002
+++ b/drivers/usb/audio.c	Wed Apr  3 16:39:17 2002
@@ -839,6 +839,7 @@
 		urb->iso_frame_desc[i].length = maxsize;
 		urb->iso_frame_desc[i].offset = offs;
 	}
+	urb->interval = 1;
 	return 0;
 }
 
@@ -938,6 +939,7 @@
 		cp[1] = u->freqn >> 8;
 		cp[2] = u->freqn >> 16;
 	}
+	urb->interval = 1;
 	return 0;
 }
 
